> For the complete documentation index, see [llms.txt](https://docs.peoplelogic.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.peoplelogic.dev/api/api-endpoints.md).

# API Endpoints

As a Peoplelogic.dev customer, you have access to your own private Talent Cloud, keeping your APIs, your data and your agents independent and scalable separate from all of our other customers.

### Regions

When you sign up, you get to choose where you'd like your data and your API endpoints to reside.  We currently offer AWS based regions ([contact us if you're interested in Azure hosting](/guides/getting-support.md)) and will create and manage your private Talent Cloud in the region that you select.  Today, we offer the following regions:

* US-East
* US-West
* EU-West
* EU-Central
* AP-South (Mumbai)
* AP-Northeast (Tokyo)
* SA-East (São Paulo)

### Your Personalized Endpoint

Your API endpoint is based on your region and your company name.  Once your Talent Cloud is created, you'll receive the initial endpoint - in the format `<org-alias>.<region>.api.peoplelogic.dev` and your admin token ([explained further in Authentication](/api/authentication.md)).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.peoplelogic.dev/api/api-endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
